# module Camping::Models

### Constants

A
Base

  `Base` is an alias for ActiveRecord::Base. The big warning I’m going to give you about this: *Base overloads table_name_prefix.* This means that if you have a model class Blog::Models::Post, it’s table name will be `blog_posts`.

  ActiveRecord is not loaded if you never reference this class. The minute you use the ActiveRecord or `Camping::Models::Base` class, then the ActiveRecord library is loaded.